Namespace
library
Image / Tag
swift:6.1.0-jammy
Content Digest
sha256:757b7a3e10bb51689261e1bdbe7b5156e7b3264bbfdc27c98a1d3702bd79fa35
Details
Created

2025-04-01 00:12:10 UTC

Size

1.03 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:215ed5a638430309375291c48a01872859a8dbf1331e54ba0af221918eb8ce2e - 2.68% (28.2 MB)

[#001] sha256:39bc14e5299547f746cb2ec8681731c982f25dd0d671073f664d29d500ef9e14 - 15.91% (167 MB)

[#002] sha256:cc0382103b058679d0984e7dcab3cb32185210ccbed894ca783bac8aabb961e6 - 81.41% (856 MB)

[#003] sha256:084072dee40a921c102d5ac6a7445f8a6617242b5d6bae82111d8f0591e43efa - 0.0% (174 Bytes)


History
2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ADD file:59e67123ba6a5d9eea9813e7b2a767696f767c15c5b23c61c4d5bd6ba6fa9ac6 in /

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1-release

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1-RELEASE

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2025-04-01 00:12:10 UTC

Size

1.02 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:67b06617bd6bbb299a723709813a971289b935f40eaff66a3348adf478cd41f6 - 2.51% (26.1 MB)

[#001] sha256:4010b02fa17dc2233b04a908ddf69c79bd37a80a8cbe87b5dfe25f986404ca1a - 15.72% (164 MB)

[#002] sha256:726e4f0029e123271dd28c8c393ab59a36aede9592a125e2d1858851db7dd6f6 - 81.77% (851 MB)

[#003] sha256:f00a28232af62accddcadfd2298427a219ee5f62449448cab4672ac7459e4f96 - 0.0% (174 Bytes)


History
2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ADD file:da80d592df77a4ddbc2c4267be13e1ead72bc1d7f4535f967c511ae736520d7a in /

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1-release

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1-RELEASE

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete